@import url("https://fonts.googleapis.com/css2?family=Audiowide&display=swap");

:root {
    font-family: "Audiowide", sans-serif;
    font-weight: 400;
    font-style: normal;
}

* {
    margin: 0;
    padding: 0;
}
.no-scroll {
    overflow: hidden;
    height: 100vh;
}

html {
    background: #0d0d0d;
}

header {
    width: 100%;
    height: 100px;
    background: #1a1a1a;
    display: flex;
    align-items: center;
    justify-content: center;
}
nav {
    width: 100%;
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 20px;
    color: #e0e0e0;
    box-shadow: #2f2f2f 0px 0px 10px;
    transition: all 0.3s ease;
}
#menu-toggle {
    display: none;
}
nav ul {
    list-style: none;
    display: flex;
    gap: 20px;
}
nav ul li {
    font-size: 1.2rem;
}
nav ul li a {
    text-decoration: none;
    color: #e0e0e0;
    transition: all 0.3s ease;
}
nav ul li a:hover {
    color: #39ff14;
    text-shadow: 0 0 10px #39ff14;
    transform: scale(1.1);
}

main {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #e0e0e0;
    font-size: 2rem;
    text-align: center;
    padding: 30px 0;
    position: relative;
    z-index: 1;
}

section {
    width: 100%;
    display: none;
}

.highlight {
    background: linear-gradient(270deg, #9d00ff, #ff00ff, #9d00ff);
    background-size: 600% 600%;
    animation: neonShift 3s ease infinite;

    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
    color: transparent;

    text-shadow: 0 0 8px rgba(157, 0, 255, 0.5), 0 0 12px rgba(255, 0, 255, 0.3);
}
.highlight.blue {
    background: linear-gradient(270deg, #00ffff, #0000ff, #00ffff);
    background-size: 600% 600%;
    animation: neonShift 8s ease infinite;

    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
    color: transparent;

    text-shadow: 0 0 8px rgba(0, 255, 255, 0.5), 0 0 12px rgba(0, 0, 255, 0.3);
}
@keyframes neonShift {
    0% {
        background-position: 0% 50%;
    }
    50% {
        background-position: 100% 50%;
    }
    100% {
        background-position: 0% 50%;
    }
}

.split {
    width: 50%;
}
.neon-blue {
    color: #00ffff;
    text-shadow: 0 0 8px #00ffff, 0 0 12px #00ffff, 0 0 16px #00ffff;
}
.neon-blue.button:hover {
    color: #00ffff;
    text-shadow: 0 0 10px #00ffff, 0 0 15px #00ffff, 0 0 20px #00ffff;
    transform: scale(1.1);
}
.neon-green {
    color: #39ff14;
    text-shadow: 0 0 8px #39ff14, 0 0 12px #39ff14, 0 0 16px #39ff14;
}
.neon-green.button:hover {
    color: #39ff14;
    text-shadow: 0 0 10px #39ff14, 0 0 15px #39ff14, 0 0 20px #39ff14;
    transform: scale(1.1);
}
.neon-pink {
    color: #ff007f;
    text-shadow: 0 0 8px #ff007f, 0 0 12px #ff007f, 0 0 16px #ff007f;
}
.neon-pink.button:hover {
    color: #ff007f;
    text-shadow: 0 0 10px #ff007f, 0 0 15px #ff007f, 0 0 20px #ff007f;
    transform: scale(1.1);
}
.neon-yellow {
    color: #ffff00;
    text-shadow: 0 0 8px #ffff00, 0 0 12px #ffff00, 0 0 16px #ffff00;
}
.neon-yellow.button:hover {
    color: #ffff00;
    text-shadow: 0 0 10px #ffff00, 0 0 15px #ffff00, 0 0 20px #ffff00;
    transform: scale(1.1);
}
.neon-purple {
    color: #9d00ff;
    text-shadow: 0 0 8px #9d00ff, 0 0 12px #9d00ff, 0 0 16px #9d00ff;
}
.neon-purple.button:hover {
    color: #9d00ff;
    text-shadow: 0 0 10px #9d00ff, 0 0 15px #9d00ff, 0 0 20px #9d00ff;
    transform: scale(1.1);
}
.button {
    display: inline-block;
    padding: 10px 20px;
    margin-top: 20px;
    background: #1a1a1a;
    color: #e0e0e0;
    border: none;
    border-radius: 5px;
    text-decoration: none;
    font-size: 1.2rem;
    transition: all 0.3s ease;
}

.hero {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 10vh 0;
}
.hero img {
    width: 300px;
    height: 300px;
    border-radius: 50%;
    background: black;
    transition: transform 0.3s ease;
}

footer {
    width: 100%;
    height: 50px;
    background: #1a1a1a;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #e0e0e0;
    box-shadow: #2f2f2f 0px 0px 10px;
}

#checkbox {
    display: none;
}

@media only screen and (max-width: 767px) {
    nav {
        flex-direction: row-reverse;
    }
    #mobile-menu-list {
        display: none;
    }
    #checkbox {
        display: none;
    }
    #menu-toggle {
        display: flex;
        position: relative;
        width: 40px;
        height: 40px;
        cursor: pointer;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: 10px;
        transition-duration: 0.5s;
    }
    .bars {
        width: 100%;
        height: 4px;
        background-color: rgb(176, 92, 255);
        border-radius: 4px;
    }
    #bar2 {
        transition-duration: 0.8s;
    }
    #bar1,
    #bar3 {
        width: 70%;
    }
    #checkbox:checked + #menu-toggle .bars {
        position: absolute;
        transition-duration: 0.5s;
    }
    #checkbox:checked + #menu-toggle #bar2 {
        transform: scaleX(0);
        transition-duration: 0.5s;
    }
    #checkbox:checked + #menu-toggle #bar1 {
        width: 100%;
        transform: rotate(45deg);
        transition-duration: 0.5s;
    }
    #checkbox:checked + #menu-toggle #bar3 {
        width: 100%;
        transform: rotate(-45deg);
        transition-duration: 0.5s;
    }
    #checkbox:checked + #menu-toggle {
        transition-duration: 0.5s;
        transform: rotate(180deg);
    }
    #menu {
        display: flex;
        flex-direction: column;
        width: 100%;
        position: fixed;
        top: 100px;
        left: 0;
        background-color: black;
        opacity: 0.85;
        height: calc(100vh - 100px);
        transform: translateX(-100%);
        transition: transform 0.3s ease-in-out;
        z-index: 1000;
        overflow-y: hidden;
        overflow-x: hidden;
        align-items: center;
        justify-content: center;
    }
    #menu.open {
        transform: translateX(0);
    }
    #menu ul {
        margin: 100px 0;
        flex-direction: column;
        width: 100%;
        gap: 60px;
        text-align: center;
    }
    nav ul li {
        font-size: 2rem;
    }
    main {
        font-size: 1.5rem;
        padding: 50px 0;
    }
    .hero {
        flex-direction: column;
        margin: 0 0 2vh 0;
    }
    .hero img {
        width: 200px;
        height: 200px;
    }
    .split {
        width: 100%;
    }
}
